Bug 208414 - ifup-aliases does not check if IP is in use before bringing up IP alias
ifup-aliases does not check if IP is in use before bringing up IP alias
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 10:07 EDT by Riaan van Niekerk
Modified: 2010-10-22 02:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 07:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch for this issue. (753 bytes, patch)
2006-10-31 06:43 EST, Jose Plans
no flags Details | Diff

  None (edit)
Description Riaan van Niekerk 2006-09-28 10:07:02 EDT
Description of problem:

/etc/sysconfig/network-scripts/ifup-alias does not check if an IP is already up
before assinging an IP to an alias interface

Version-Release number of selected component (if applicable):

initscripts-7.93.25.EL-1

How reproducible:

every time

Steps to Reproduce:
1. configure machine 1 with IP of 192.168.0.1 in ifcfg-eth0

2. configure machine 2 with any other IP in ifcfg-eth0 and IP Alias of
192.168.0.1 in ifcfg-eth0:0 :
DEVICE=eth0:0
ONPARENT=yes
IPADDR=192.168.0.1
NETMASK=255.255.255.0

3. Restart networking on machine 2

Actual results:

machine 2 will have eth0:0 with the same IP as eth0 on machine 2

Expected results:

Error, some other host already uses address 192.168.0.1

Additional info:

The arping code which is in /sbin/ifup is non-existent in
/etc/sysconfig/network-scripts/ifup-alias
Comment 1 bhargav joshi 2006-10-12 11:37:10 EDT
For network script not to ignonre aliases
Edit /etc/rc.d/init.d/network 

replace 

interfaces=`ls ifcfg* | LANG=C egrep -v
'(ifcfg-lo|:|-range|rpmsave|rpmorig|rpmnew)' | \
            LANG=C egrep -v '(~|\.bak)$' | \
            LANG=C egrep 'ifcfg-[A-Za-z0-9\._-]+$' | \
            sed 's/^ifcfg-//g' |
            sed 's/[0-9]/ &/' | LANG=C sort -k 1,1 -k 2n | sed 's/ //'`


by

interfaces=$(ls ifcfg* | LANG=C egrep -v
'(ifcfg-lo|-range|rpmsave|rpmorig|rpmnew)'|\
            LANG=C egrep -v '(~|\.bak)$' | \
            LANG=C egrep 'ifcfg-[A-Za-z0-9\:\._-]+$' | \
Comment 2 Bill Nottingham 2006-10-12 11:39:37 EDT
That's not the right answer. Aliases are brought up by ifup-aliases, not
/etc/init.d/network.
Comment 5 Jose Plans 2006-10-31 06:43:03 EST
Created attachment 139840 [details]
proposed patch for this issue.

This fixes the problem for me, I've didn't exit it as it would remove the next
secondary interfaces.
Comment 10 RHEL Product and Program Management 2007-11-28 23:24:22 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Phil Knirsch 2008-02-12 08:50:34 EST
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.
Comment 15 RHEL Product and Program Management 2008-03-25 07:25:38 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.